<div class="card">
	<app-dimmer [loading]="loading"></app-dimmer>

	<div class="card-header">
		<div class="d-flex">
			<h5 class="flex-fill ml-2">Paginas</h5>
		</div>
	</div>

	<div class="card-body">
		<div class="row">
			<div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
				<div>
					<app-local-size [localDt]="localDt"></app-local-size>
				</div>
			</div>
		</div>

		<div class="row m-t-15">
			<div class="col-md-12">
				<ngx-datatable [appLocalDt]="localDt" #table>
					<ngx-datatable-column [resizeable]="false" [flexGrow]="1" [sortable]="false" [headerClass]="'text-center'">
						<ng-template let-col="column" let-sort="sortFn" ngx-datatable-header-template>
							<button
								type="button"
								class="btn btn-sm btn-primary btn-actions mr-1"
								[ngbTooltip]="'Marcar todos: ' + localDt.filtered?.length"
								(click)="checkAll(true)"
							>
								<i class="far fa-lg fa-check-square"></i>
							</button>
							<button
								type="button"
								class="btn btn-sm btn-primary btn-actions"
								[ngbTooltip]="'Desmarcar todos: ' + localDt.filtered?.length"
								(click)="checkAll(false)"
							>
								<i class="far fa-lg fa-square"></i>
							</button>
						</ng-template>
						<ng-template ngx-datatable-cell-template let-row="row">
							<div class="text-center">
								<input type="checkbox" [(ngModel)]="row.checked" />
							</div>
						</ng-template>
					</ngx-datatable-column>

					<ngx-datatable-column [resizeable]="false" [flexGrow]="3" prop="name" name="Nombre"></ngx-datatable-column>

					<ngx-datatable-column [resizeable]="false" [flexGrow]="3" prop="url" name="Url"></ngx-datatable-column>
				</ngx-datatable>
			</div>
		</div>
	</div>
<!-- 
	<div class="card-footer">
		<div class="row">
		</div>
	</div> -->
</div>
